JMXConfigurableThreadPoolExecutor (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.concurrent

## Class JMXConfigurableThreadPoolExecutor

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - java.util.concurrent.ThreadPoolExecutor
    - - org.apache.cassandra.concurrent.DebuggableThreadPoolExecutor
      - - org.apache.cassandra.concurrent.JMXEnabledThreadPoolExecutor
        - - org.apache.cassandra.concurrent.JMXConfigurableThreadPoolExecutor

- All Implemented Interfaces:
    java.util.concurrent.Executor, java.util.concurrent.ExecutorService, IExecutorMBean, JMXConfigurableThreadPoolExecutorMBean, JMXEnabledThreadPoolExecutorMBean, TracingAwareExecutorService

      public class JMXConfigurableThreadPoolExecutor
      extends JMXEnabledThreadPoolExecutor
      implements JMXConfigurableThreadPoolExecutorMBean

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.concurrent.ThreadPoolExecutor

      `java.util.concurrent.ThreadPoolExecutor.AbortPolicy, java.util.concurrent.ThreadPoolExecutor.CallerRunsPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardOldestPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardPolicy`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.concurrent.DebuggableThreadPoolExecutor

      `blockingExecutionHandler, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMXConfigurableThreadPoolExecutor(int corePoolSize, long keepAliveTime, java.util.concurrent.TimeUnit unit, java.util.concurrent.BlockingQueue<java.lang.Runnable> workQueue, NamedThreadFactory threadFactory, java.lang.String jmxPath)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.concurrent.JMXEnabledThreadPoolExecutor

      `getCompletedTasks, getCoreThreads, getCurrentlyBlockedTasks, getMaximumThreads, getPendingTasks, getTotalBlockedTasks, onFinalAccept, onFinalRejection, onInitialRejection, setCoreThreads, setMaximumThreads, shutdown, shutdownNow`

    - ### Methods inherited from class org.apache.cassandra.concurrent.DebuggableThreadPoolExecutor

      `afterExecute, beforeExecute, createWithFixedPoolSize, createWithMaximumPoolSize, execute, execute, extractThrowable, handleOrLog, logExceptionsAfterExecute, maybeExecuteImmediately, maybeResetTraceSessionWrapper, newTaskFor, newTaskFor`

    - ### Methods inherited from class java.util.concurrent.ThreadPoolExecutor

      `allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getQueue, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, terminated, toString`

    - ### Methods inherited from class java.util.concurrent.AbstractExecutorService

      `invokeAll, invokeAll, invokeAny, invokeAny, submit, submit, submit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.concurrent.JMXConfigurableThreadPoolExecutorMBean

      `getCorePoolSize, setCorePoolSize`

    - ### Methods inherited from interface org.apache.cassandra.concurrent.JMXEnabledThreadPoolExecutorMBean

      `getCoreThreads, getCurrentlyBlockedTasks, getMaximumThreads, getTotalBlockedTasks, setCoreThreads, setMaximumThreads`

    - ### Methods inherited from interface org.apache.cassandra.concurrent.IExecutorMBean

      `getActiveCount, getCompletedTasks, getPendingTasks`

    - ### Methods inherited from interface java.util.concurrent.ExecutorService

      `awaitTermination, invokeAll, invokeAll, invokeAny, invokeAny, isShutdown, isTerminated, submit, submit, submit`

- - ### Constructor Detail

    - #### JMXConfigurableThreadPoolExecutor

          public JMXConfigurableThreadPoolExecutor(int corePoolSize,
                                           long keepAliveTime,
                                           java.util.concurrent.TimeUnit unit,
                                           java.util.concurrent.BlockingQueue<java.lang.Runnable> workQueue,
                                           NamedThreadFactory threadFactory,
                                           java.lang.String jmxPath)

Copyright © 2014 The Apache Software Foundation